#
# spec file for package transconnect
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           transconnect
Version:        1.2
Release:        420.2
Summary:        Allows you to access the internet through a HTTP proxy
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Web/Proxy
URL:            http://transconnect.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/transconnect/%{name}-%{version}.tar.bz2
Source1:        README.SUSE
Patch0:         %{name}-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TransConnect is a program to allow you almost complete access to the
internet through a HTTP proxy like squid.

%prep
%autosetup -p0
cp %{SOURCE1} .

%build
make

%install
install -D -m 755 tconn.so %{buildroot}%{_libdir}/tconn.so

%files
%defattr(-,root,root)
%{_libdir}/tconn.so
%doc AUTHORS Changelog COPYING README README.SUSE tconn.conf

%changelog
* Fri May 17 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Drop AUTHORS file: upstream already supplies it as part of the
  tarball.
* Mon Feb 26 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Thu Mar  6 2014 aj@ajaissle.de
- Spec cleanup
- Renamed README.SuSE to README.SUSE
- Moved the configuration section of the file INSTALL to README.SUSE
- Added AUTHORS file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 22 2005 lmuelle@suse.de
- Fix two subscript out of range errors found by the Intel C compiler; bnc
  [#134890]
- Fix one signedness warning.
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Fri Aug 16 2002 ro@suse.de
- removed empty post/postun scripts (#18007)
* Fri Jun 21 2002 ro@suse.de
- use -fPIC to build shared lib
* Fri Apr 19 2002 lmuelle@suse.de
- Initial SuSE package
